<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SlideShowExtractor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SlideShowExtractor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SlideShowExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/extractor/SlideShowExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="SlideShowExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.extractor</div>
    <h2 title="Class SlideShowExtractor" class="title">Class SlideShowExtractor&lt;S extends <a
            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                       title="class in org.apache.poi.extractor">org.apache.poi.extractor.POITextExtractor</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.sl.extractor.SlideShowExtractor&lt;S,P&gt;</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable</dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">SlideShowExtractor&lt;S extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span>
extends <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
           title="class in org.apache.poi.extractor">POITextExtractor</a></pre>
                <div class="block">Common SlideShow extractor</div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>POI 4.0.0</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html#SlideShowExtractor-org.apache.poi.sl.usermodel.SlideShow-">SlideShowExtractor</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                        title="type parameter in SlideShowExtractor">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                        title="type parameter in SlideShowExtractor">P</a>&gt;&nbsp;slideshow)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.Object</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html#getDocument--">getDocument</a></span>()</code>
                                    <div class="block">Returns opened document</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></span>()</code>
                                    <div class="block">Returns another text extractor, which is able to
                                        output the textual content of the document
                                        metadata / properties, such as author and title.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/ObjectShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">ObjectShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                        title="type parameter in SlideShowExtractor">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                        title="type parameter in SlideShowExtractor">P</a>&gt;&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html#getOLEShapes--">getOLEShapes</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html#getText--">getText</a></span>()</code>
                                    <div class="block">Fetches all the slide text from the slideshow, but not the notes,
                                        unless
                                        you've called setSlidesByDefault() and setNotesByDefault() to change this
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html#getText-org.apache.poi.sl.usermodel.Slide-">getText</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                        title="type parameter in SlideShowExtractor">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                        title="type parameter in SlideShowExtractor">P</a>&gt;&nbsp;slide)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html#setCommentsByDefault-boolean-">setCommentsByDefault</a></span>(boolean&nbsp;commentsByDefault)</code>
                                    <div class="block">Should a call to getText() return comments text? Default is no
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html#setMasterByDefault-boolean-">setMasterByDefault</a></span>(boolean&nbsp;masterByDefault)</code>
                                    <div class="block">Should a call to getText() return text from master? Default is
                                        no
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html#setNotesByDefault-boolean-">setNotesByDefault</a></span>(boolean&nbsp;notesByDefault)</code>
                                    <div class="block">Should a call to getText() return notes text? Default is no</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html#setSlidesByDefault-boolean-">setSlidesByDefault</a></span>(boolean&nbsp;slidesByDefault)</code>
                                    <div class="block">Should a call to getText() return slide text? Default is yes
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.extractor.POITextExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.extractor.<a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a></h3>
                                <code><a href="../../../../../org/apache/poi/extractor/POITextExtractor.html#close--">close</a>,
                                    <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html#setFilesystem-java.io.Closeable-">setFilesystem</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="SlideShowExtractor-org.apache.poi.sl.usermodel.SlideShow-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>SlideShowExtractor</h4>
                                <pre>public&nbsp;SlideShowExtractor(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                        title="type parameter in SlideShowExtractor">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                        title="type parameter in SlideShowExtractor">P</a>&gt;&nbsp;slideshow)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getDocument--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDocument</h4>
                                <pre>public final&nbsp;java.lang.Object&nbsp;getDocument()</pre>
                                <div class="block">Returns opened document</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/extractor/POITextExtractor.html#getDocument--">getDocument</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                                title="class in org.apache.poi.extractor">POITextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the opened document</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSlidesByDefault-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSlidesByDefault</h4>
                                <pre>public&nbsp;void&nbsp;setSlidesByDefault(boolean&nbsp;slidesByDefault)</pre>
                                <div class="block">Should a call to getText() return slide text? Default is yes</div>
                            </li>
                        </ul>
                        <a name="setNotesByDefault-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNotesByDefault</h4>
                                <pre>public&nbsp;void&nbsp;setNotesByDefault(boolean&nbsp;notesByDefault)</pre>
                                <div class="block">Should a call to getText() return notes text? Default is no</div>
                            </li>
                        </ul>
                        <a name="setCommentsByDefault-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCommentsByDefault</h4>
                                <pre>public&nbsp;void&nbsp;setCommentsByDefault(boolean&nbsp;commentsByDefault)</pre>
                                <div class="block">Should a call to getText() return comments text? Default is no</div>
                            </li>
                        </ul>
                        <a name="setMasterByDefault-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMasterByDefault</h4>
                                <pre>public&nbsp;void&nbsp;setMasterByDefault(boolean&nbsp;masterByDefault)</pre>
                                <div class="block">Should a call to getText() return text from master? Default is no
                                </div>
                            </li>
                        </ul>
                        <a name="getMetadataTextExtractor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMetadataTextExtractor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                                    title="class in org.apache.poi.extractor">POITextExtractor</a>&nbsp;getMetadataTextExtractor()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html#getMetadataTextExtractor--">POITextExtractor</a></code></span>
                                </div>
                                <div class="block">Returns another text extractor, which is able to
                                    output the textual content of the document
                                    metadata / properties, such as author and title.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/extractor/POITextExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                                title="class in org.apache.poi.extractor">POITextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the metadata and text extractor</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                                <div class="block">Fetches all the slide text from the slideshow, but not the notes,
                                    unless
                                    you've called setSlidesByDefault() and setNotesByDefault() to change this
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/extractor/POITextExtractor.html#getText--">getText</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                                title="class in org.apache.poi.extractor">POITextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>All the text from the document</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText-org.apache.poi.sl.usermodel.Slide-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                        title="type parameter in SlideShowExtractor">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                        title="type parameter in SlideShowExtractor">P</a>&gt;&nbsp;slide)</pre>
                            </li>
                        </ul>
                        <a name="getOLEShapes--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getOLEShapes</h4>
                                <pre>public&nbsp;java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/ObjectShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">ObjectShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                        title="type parameter in SlideShowExtractor">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                        title="type parameter in SlideShowExtractor">P</a>&gt;&gt;&nbsp;getOLEShapes()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SlideShowExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/extractor/SlideShowExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="SlideShowExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
